
#include <stdio.h>
#if USE_GTK
#include <gtk/gtk.h>
#endif

typedef enum _gnubgwindow {
  WINDOW_MAIN = 0,
  WINDOW_GAME,
  WINDOW_ANALYSIS,
  WINDOW_ANNOTATION,
  WINDOW_HINT,
  WINDOW_MESSAGE,
  NUM_WINDOWS 
} gnubgwindow;

typedef struct _windowgeometry {
  int nWidth, nHeight;
  int nPosX, nPosY;
} windowgeometry;

typedef struct _windowobject {
	char* winName;
	int showing;
	int docked;
	int dockable;
	int undockable;
#if USE_GTK
	GtkWidget* pwWin;
#endif
	windowgeometry wg;
} windowobject;


extern windowobject woPanel[NUM_WINDOWS];
extern int fDisplayPanels;


extern void SaveWindowSettings(FILE* pf);
extern void HidePanel(gnubgwindow window);
extern void getWindowGeometry(gnubgwindow window);
extern void CreatePanel(gnubgwindow window, GtkWidget* pWidget, char* winTitle, char* windowRole,
	GtkSignalFunc delFunc);
extern int PanelShowing(gnubgwindow window);
extern void ToggleDockPanels( gpointer *p, guint n, GtkWidget *pw );

extern void ShowAnalysis();
extern void DeleteAnalysis();
extern void ShowAnnotation();
extern void DeleteAnnotation();
extern void ShowGameWindow();
extern void DeleteGame();
extern void ShowMessage();
extern void DeleteMessage();
extern int GetPanelSize();
extern void SetPanelWidth(int size);
